Summary:	Non-suid ping
Summary(pl.UTF-8):	ping bez suida
Name:		echoping
Version:	6.0.2
Release:	7
License:	GPL v2
Group:		Networking/Admin
Source0:	http://dl.sourceforge.net/echoping/%{name}-%{version}.tar.gz
# Source0-md5:	991478532b56ab3b6f46ea9fa332626f
Patch0:		echoping-no-versioned-modules.patch
Patch1:		echoping-so.patch
URL:		http://echoping.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libidn-devel
BuildRequires:	libtool
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
Obsoletes:	echoping-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"echoping" is a small program to test (approximatively) performances
of a remote host by sending it TCP "echo" (or other protocol, such as
HTTP) packets.

%description -l pl.UTF-8
echoping to mały program do sprawdzania (przybliżonej) wydajności
zdalnego hosta poprzez wysyłanie pakietów TCP "echo" (lub innego
protokołu, jak np. HTTP).

%package devel
Summary:	Header files for echoping library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki echoping
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for echoping library.

%description devel -l pl.UTF-8
Pliki nagłówkowe echoping library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd plugins
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__automake}
cd -
for d in dns ldap postgresql random whois ; do
	cd plugins/$d
	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	%{__autoheader}
	%{__automake}
	cd -
done
%configure \
	--with-ssl \
	--without-gnutls \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/echoping/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DETAILS PLUGINS README TODO
%attr(755,root,root) %{_bindir}/echoping
%dir %{_libdir}/echoping
%attr(755,root,root) %{_libdir}/echoping/dns.so
%attr(755,root,root) %{_libdir}/echoping/ldap.so
%attr(755,root,root) %{_libdir}/echoping/postgresql.so
%attr(755,root,root) %{_libdir}/echoping/random.so
%attr(755,root,root) %{_libdir}/echoping/whois.so
%{_mandir}/man1/echoping*

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/echoping
%{_includedir}/echoping/*.h
%changelog
* Mon Aug 20 2012 Jan Rękorajski <baggins@pld-linux.org> 723f6cd
Make all plugins work

* Wed Nov 24 2010 hawk <hawk@pld-linux.org> 0b9badd
- added required skip_post_check_so

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 9b09da8
- release 5

* Sun May 16 2010 sparky <sparky@pld-linux.org> a457512
- don't require c++ compiler

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 978dc7f
- release 4

* Mon Aug 10 2009 hawk <hawk@pld-linux.org> 30d7929
- fixed echoping-devel-6.0.2-2: req /usr/include/echoping not found

* Mon Jul 27 2009 pawelz <pawelz@pld-linux.org> 15d4b9e
- devel, libs subpackages
- %ghost so symlink
- package all files
- rel 2

* Tue Nov 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 275020a
- simplified setup

* Sun Nov 02 2008 Tomasz Pala <gotar@pld-linux.org> 66b0d4e
- upgraded to 6.0.2

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> decc275
- updated openldap BR/R to 2.4.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 541918f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4b46164
- converted to UTF-8

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 2f645fe
- finished

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> bd3e5c0
- pl

* Thu Oct 27 2005 Paweł Gołaszewski <blues@pld-linux.org> fec4ca4
- initial, does not build

